
# NOTE: pg_hba: /var/lib/docker/volumes/docker_postgres-data/_data/pg_hba.conf

version: '2'

services:

  vlkb-db:
    container_name: vlkb-db
    image: git.ia2.inaf.it:5050/butora/vlkb-datasets/postgres-pgsphere:latest
    ports:
      - 5432:5432
    environment:
      - SECURITY=
      - POSTGRES_PASSWORD=ia2vlkb
    volumes:
      - postgres-data:/var/lib/postgresql/data


  vlkb-search:
    container_name: vlkb-search
    image: siav2:latest
    ports:
      - 8080:8080
    environment:
      - SECURITY=
        #- SECURITY=ia2token
      - DISCOVERY_CONTEXT_ROOT=vlkb#datasets#vlkb_search
      - DISCOVERY_DB_URI=jdbc:postgresql://vlkb-db:5432/vialactea
      - DB_USERNAME=vialactea
      - DB_PASSWORD=ia2vlkb
        #- VLKBOBSCORE_PG_URI=postgresql://vialactea:ia2vlkb@localhost:5432/vialactea
        #- RESPONSE_FORMAT=application/x-vlkb+xml
        #- RESPONSE_FORMAT=application/x-votable+xml
    volumes:
      - /srv/vlkb/surveys:/srv/surveys:z
        #- ./ssl:/etc/pki/tls:z
    #restart: always

volumes:
  postgres-data:


